Page MenuHomePhabricator

Write the monitoring specification for Maps
Closed, ResolvedPublic

Description

We have an automated monitoring service that can check services every 60 seconds for their responses. A specification exposing the endpoints to be monitored needs to be written for the Maps service. It can be based on the spec.template.yaml file already present in the repository.

Event Timeline

mobrovac created this task.Sep 9 2015, 2:24 PM
mobrovac raised the priority of this task from to Needs Triage.
mobrovac updated the task description. (Show Details)
mobrovac added projects: Discovery, Maps.
mobrovac added subscribers: Yurik, MaxSem, mobrovac.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2015, 2:24 PM
Yurik moved this task from All map-related tasks to Kartotherian on the Maps board.Nov 7 2015, 7:21 AM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 7 2015, 7:21 AM
Deskana triaged this task as Medium priority.Dec 29 2015, 6:24 PM
Deskana moved this task from Needs triage to Maps on the Discovery board.
Deskana added a subscriber: Deskana.
MaxSem set Security to None.
Yurik added a subscriber: Gehel.May 27 2016, 7:13 PM

Does the testing setup depend on this service being behind restbase? If not, we can use it for testing that @Gehel was looking at. Adding this task as a blocker

Yurik moved this task from Backlog to To-do on the Maps-Sprint board.May 27 2016, 10:25 PM

Does the testing setup depend on this service being behind restbase?

No. As the description says, you need to create spec.yaml which is to contain a Swagger specification of the endpoints and x-amples stanzas for each that contain request/response pairs which will allow for automatic monitoring in production. You can look at the specs of Citoid, Mathoid or MobileApps to get an idea.

Change 292090 had a related patch set uploaded (by Yurik):
Add spec.yaml with basic tests

https://gerrit.wikimedia.org/r/292090

Change 292090 merged by Yurik:
Add spec.yaml with basic tests

https://gerrit.wikimedia.org/r/292090

Gehel closed this task as Resolved.Jun 16 2016, 10:31 AM

This is deployed and working. Monitoring can be seen in Icinga.